"""
@author: luojunhui
"""
from datetime import datetime, timedelta


def five_days_before(ori_dt):
    """
    Generate date in 3 days
    :param ori_dt:
    :return:
    """
    now_date = datetime.strptime(ori_dt, "%Y%m%d")
    seven_before = now_date - timedelta(days=5)
    return seven_before.strftime("%Y%m%d")


def generate_daily_strings(start_date, end_date):
    """
    Generate daily date_str
    :param start_date:
    :param end_date:
    :return:
    """
    start = datetime.strptime(start_date, "%Y%m%d")
    end = datetime.strptime(end_date, "%Y%m%d")
    current = start
    date_strings = []
    while current <= end:
        date_strings.append(current.strftime("%Y%m%d"))
        current += timedelta(days=1)
    return date_strings

